<?php
/**
 * This template displays the single Product
 *
 * Note for customisers/users: Do not edit this file!
 * ==================================================
 * If you want to customise this template, copy this file (keep same name) and place the
 * copy in the child theme's woocommerce folder, ie themes/my-child-theme/woocommerce
 * (Your theme may not have a 'woocommerce' folder, in which case create one.)
 * The version in the child theme's woocommerce folder will override this template, and
 * any future updates to this plugin won't wipe out your customisations.
 *
 * @since 1.0.0
 */

//* Remove default Bizznis loop
remove_action( 'bizznis_loop', 'bizznis_do_loop' );

//* Remove WooCommerce breadcrumbs
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20 );

//* Uncomment the below line of code to add back WooCommerce breadcrumbs
//add_action( 'bizznis_loop', 'woocommerce_breadcrumb', 4, 0 );

//* Remove Woo #container and #content divs
remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10 );
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10 );

/**
 * Start <article> markup for WooCommerce shop page
 *
 * @since 1.2.3
 */
add_action( 'woocommerce_before_main_content', 'bizznis_output_single_content_wrapper', 10 );
function bizznis_output_single_content_wrapper() {
	printf( '<article %s>', bizznis_attr( 'entry' ) );
}

/**
 * End </article> markup for WooCommerce shop page
 *
 * @since 1.2.3
 */
add_action( 'woocommerce_after_main_content', 'bizznis_output_single_content_wrapper_end', 10 );
function bizznis_output_single_content_wrapper_end() {
	echo '</article>';
}

/**
 * Displays single product loop
 *
 * Uses WooCommerce structure and contains all existing WooCommerce hooks
 *
 * Code based on WooCommercewoocommerce/woocommerce-template.php
 *
 * @since 1.0.0
 */
add_action( 'bizznis_loop', 'bizznis_wc_single_product_loop' );
function bizznis_wc_single_product_loop() {
	do_action( 'woocommerce_before_main_content' ); ?>
	<?php while ( have_posts() ) : the_post(); ?>
		<?php woocommerce_get_template_part( 'content', 'single-product' ); ?>
	<?php endwhile; // end of the loop. ?>
	<?php do_action( 'woocommerce_after_main_content' );
}

bizznis(); #Fire the engine